Summary: Audio Sample Rate Conversion library
Name: libsamplerate0
Version: 0.1.8
Release: r1.0
License: GPLv2+
Group: libs
Packager: Wind River <info@windriver.com>
URL: http://www.mega-nerd.com/SRC/
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: gnu-config-native
BuildRequires: libsndfile1
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: flac
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: libsndfile1 >= 1.0.25
Requires: libc.so.6()(64bit)
Requires: libsamplerate.so.0()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libsamplerate.so.0(libsamplerate.so.0.0)(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libsndfile.so.1(libsndfile.so.1.0)(64bit)
Requires: libm.so.6(GLIBC_2.2.5)(64bit)
Requires: libsndfile.so.1()(64bit)
Requires: libm.so.6()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libsndfile1 >= 1.0.25
Requires(post): libc.so.6()(64bit)
Requires(post): libsamplerate.so.0()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libsamplerate.so.0(libsamplerate.so.0.0)(64bit)
Requires(post): libc6 >= 2.20+sdkwrl7+27
Requires(post): libsndfile.so.1(libsndfile.so.1.0)(64bit)
Requires(post): libm.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libsndfile.so.1()(64bit)
Requires(post): libm.so.6()(64bit)
Provides: libsamplerate.so.0(libsamplerate.so.0.1)(64bit)
Provides: libsamplerate.so.0(libsamplerate.so.0.0)(64bit)
Provides: elf(buildid) = cc12aa754e174dc7dbe2c58f47607549621438d0
Provides: elf(buildid) = 287c0432c9cee2bb049b6ce3f1c1da1d553c2632
Provides: libsamplerate.so.0()(64bit)

%description
Audio Sample Rate Conversion library.

%package -n libsamplerate0-dbg
Summary: Audio Sample Rate Conversion library - Debugging files
Group: devel
Suggests: libsndfile-dbg
Suggests: libc6-dbg
Recommends: libsamplerate0 = 0.1.8-r1.0

%description -n libsamplerate0-dbg
Audio Sample Rate Conversion library.  This package contains ELF symbols
and related sources for debugging purposes.

%package -n libsamplerate0-staticdev
Summary: Audio Sample Rate Conversion library - Development files (Static Libraries)
Group: devel
Requires: libsamplerate0-dev = 0.1.8-r1.0

%description -n libsamplerate0-staticdev
Audio Sample Rate Conversion library.  This package contains static
libraries for software development.

%package -n libsamplerate0-dev
Summary: Audio Sample Rate Conversion library - Development files
Group: devel
Requires: libsamplerate0 = 0.1.8-r1.0
Suggests: flac-dev
Suggests: libc6-dev
Suggests: libsndfile-dev

%description -n libsamplerate0-dev
Audio Sample Rate Conversion library.  This package contains symbolic
links, header files, and related items necessary for software development.

%package -n libsamplerate0-doc
Summary: Audio Sample Rate Conversion library - Documentation files
Group: doc

%description -n libsamplerate0-doc
Audio Sample Rate Conversion library.  This package contains documentation.

%package -n libsamplerate0-locale
Summary: Audio Sample Rate Conversion library
Group: libs

%description -n libsamplerate0-locale
Audio Sample Rate Conversion library.

%post
# libsamplerate0 - postinst
#!/bin/sh
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/bin"
"/usr/lib64/libsamplerate.so.0"
"/usr/lib64/libsamplerate.so.0.1.8"
"/usr/bin/sndfile-resample"

%files -n libsamplerate0-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/lib64"
%dir "/usr/bin"
%dir "/usr/src/debug"
%dir "/usr/src/debug/libsamplerate0"
%dir "/usr/src/debug/libsamplerate0/0.1.8-r1"
%dir "/usr/src/debug/libsamplerate0/0.1.8-r1/libsamplerate-0.1.8"
%dir "/usr/src/debug/libsamplerate0/0.1.8-r1/libsamplerate-0.1.8/src"
%dir "/usr/src/debug/libsamplerate0/0.1.8-r1/libsamplerate-0.1.8/examples"
"/usr/src/debug/libsamplerate0/0.1.8-r1/libsamplerate-0.1.8/src/fastest_coeffs.h"
"/usr/src/debug/libsamplerate0/0.1.8-r1/libsamplerate-0.1.8/src/mid_qual_coeffs.h"
"/usr/src/debug/libsamplerate0/0.1.8-r1/libsamplerate-0.1.8/src/src_sinc.c"
"/usr/src/debug/libsamplerate0/0.1.8-r1/libsamplerate-0.1.8/src/samplerate.c"
"/usr/src/debug/libsamplerate0/0.1.8-r1/libsamplerate-0.1.8/src/src_zoh.c"
"/usr/src/debug/libsamplerate0/0.1.8-r1/libsamplerate-0.1.8/src/common.h"
"/usr/src/debug/libsamplerate0/0.1.8-r1/libsamplerate-0.1.8/src/high_qual_coeffs.h"
"/usr/src/debug/libsamplerate0/0.1.8-r1/libsamplerate-0.1.8/src/src_linear.c"
"/usr/src/debug/libsamplerate0/0.1.8-r1/libsamplerate-0.1.8/src/samplerate.h"
"/usr/src/debug/libsamplerate0/0.1.8-r1/libsamplerate-0.1.8/examples/sndfile-resample.c"
%dir "/usr/lib64/.debug"
"/usr/lib64/.debug/libsamplerate.so.0.1.8"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/sndfile-resample"

%files -n libsamplerate0-staticdev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
"/usr/lib64/libsamplerate.a"

%files -n libsamplerate0-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/include"
%dir "/usr/lib64"
"/usr/include/samplerate.h"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/libsamplerate.so"
"/usr/lib64/libsamplerate.la"
"/usr/lib64/pkgconfig/samplerate.pc"

%files -n libsamplerate0-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/doc"
%dir "/usr/share/doc/libsamplerate0-dev"
%dir "/usr/share/doc/libsamplerate0-dev/html"
"/usr/share/doc/libsamplerate0-dev/html/api_full.html"
"/usr/share/doc/libsamplerate0-dev/html/quality.html"
"/usr/share/doc/libsamplerate0-dev/html/win32.html"
"/usr/share/doc/libsamplerate0-dev/html/api.html"
"/usr/share/doc/libsamplerate0-dev/html/index.html"
"/usr/share/doc/libsamplerate0-dev/html/license.html"
"/usr/share/doc/libsamplerate0-dev/html/SRC.css"
"/usr/share/doc/libsamplerate0-dev/html/download.html"
"/usr/share/doc/libsamplerate0-dev/html/lists.html"
"/usr/share/doc/libsamplerate0-dev/html/SRC.png"
"/usr/share/doc/libsamplerate0-dev/html/faq.html"
"/usr/share/doc/libsamplerate0-dev/html/history.html"
"/usr/share/doc/libsamplerate0-dev/html/api_callback.html"
"/usr/share/doc/libsamplerate0-dev/html/api_misc.html"
"/usr/share/doc/libsamplerate0-dev/html/api_simple.html"

